%bcond_with check

%global packname fansi
%global packver  0.5.0
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          0.5.0
Release:          1
Summary:          ANSI Control Sequence Aware String Functions

License:          GPLv2+
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz

BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-grDevices
BuildRequires:    R-utils
%if %{with check}
BuildRequires:    R-unitizer
BuildRequires:    R-knitr
BuildRequires:    R-rmarkdown
%endif

%description
Counterparts to R string manipulation functions that account for the
effects of ANSI text formatting control sequences.


%prep
%setup -q -c -n %{packname}
find %{packname} -type f -executable -exec chmod -x '{}' \;


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with check}
%{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Tue Jun 14 2022 misaka00251 <misaka00251@misakanet.cn> - 0.5.0-1
- Init package (Thanks to fedora team)
